on startMovie
  global barChild, sonSoundCast, momSoundCast, loopChild, transNum, theSoundPath
  unLoadCast()
  initIMD()
  setPuppet(44, 46, 2)
  set barChild to new(script "updateBar")
  set loopChild to new(script "setLoop")
  set the floatPrecision to 2
  setCur(47, 48, "hand", 1)
  set transNum to 0
  if the machineType = 256 then
    set theSoundPath to the pathName & "Sounds\"
  else
    set theSoundPath to the pathName & "Sounds:"
  end if
end

on idle
  global barChild, loopChild
  if objectp(barChild) then
    updateBar(barChild)
  end if
  if objectp(loopChild) then
    setLoop(loopChild)
  end if
end

on startSound sound, who
  global sonSoundCast, momSoundCast
  case who of
    #s:
      set soundCast to sonSoundCast
    #m:
      set soundCast to momSoundCast
  end case
  puppetSound(1, member sound of castLib soundCast)
end

on setTrans theTrans, duration
  global transNum
  set transNum to theTrans
  puppetTransition(theTrans, duration)
end

on setBar num
  global barChild
  set the progNum of barChild to num
end
